require "shaders"
require "bubble_render_fail"

--Pre loading

H_RES = 1600
V_RES = 900

function love.load()
	
	--This in order to restore the fullscreen properly at the end
	love.graphics.setMode(0, 0)
	original_h_res, original_v_res = love.graphics.getMode()
		
	--Load video mode	
	love.graphics.setMode(H_RES, V_RES, true)
	bc_shaders.blur:send("width", H_RES)
	bc_shaders.blur:send("height", V_RES)
	
	init_particles(H_RES, V_RES)
	
end

--Drawing callback

function love.draw()
	
	love.graphics.draw(bubble, H_RES/2, V_RES/2);

end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
end

function love.quit()
	love.graphics.setMode(original_h_res, original_v_res)
end
